#
# spec file for package python-django-rest-framework-social-oauth2
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-django-rest-framework-social-oauth2
Version:        1.2.0
Release:        2.1
License:        MIT
Summary:        Django rest framework support for python-social-auth and oauth2
URL:            https://github.com/PhilipGarnero/django-rest-framework-social-oauth2
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-rest-framework-social-oauth2/django-rest-framework-social-oauth2-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-django-braces >= 1.11.0
Requires:       python-django-oauth-toolkit >= 1.0.0
Requires:       python-djangorestframework >= 3.0.1
Requires:       python-social-auth-app-django >= 0.1.0
BuildArch:      noarch

%python_subpackages

%description
python-social-auth and oauth2 support for django-rest-framework.

%prep
%setup -q -n django-rest-framework-social-oauth2-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%{python_sitelib}/rest_framework_social_oauth2
%{python_sitelib}/django_rest_framework_social_oauth2-%{version}.dist-info

%changelog
* Tue Jun  3 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 1.2.0:
  * Add support for Django 4.0
  * Drop support for python 2, enforce python >=3.5
  * Reference the User model with get_user_model()
  * Fix ACCESS_TOKEN_URL namespace
  * Refactor README
  * Bump dependencies
  * Remove django-braces dependency
  * Set Django request object through a server method call
  * Added a new Django Rest Framework view to disconnect backend
  * Update documentation with Google example
  * Create manage.py command to create an application
  * Remove harcoded oauthlibcore
  * Fix NoRerverseMatch Error with custom namespace
  * Updated invalidate_sessions to accept all POST content types
  * Restore compatibility with Django<2.0
  * Keep request.data mutable
  * Added compatibility with Django 2.0
* Thu Feb 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.1.0
